Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.ss.formula.functions
Class MultiOperandNumericFunction

    java.lang.Object
      org.apache.poi.ss.formula.functions.MultiOperandNumericFunction

All Implemented Interfaces:
  Function

Direct Known Subclasses:
  AggregateFunction, MinaMaxa

    public abstract class MultiOperandNumericFunction

extends java.lang.Object
implements Function

Author:
  Amol S. Deshmukh < amolweb at ya hoo dot com > This is the super class for all excel function evaluator classes that take variable number of operands, and where the order of operands does not matter

Method Summary
`ValueEval` | `evaluate(ValueEval[] args, int srcCellRow, int srcCellCol)`
`boolean` | `isSubtotalCounted()` Whether to count nested subtotals.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### evaluate

    public final ValueEval evaluate(ValueEval[] args,
                                    int srcCellRow,
                                    int srcCellCol)

  Specified by:
    `evaluate` in interface `Function`
  Parameters:
    `args` - the evaluated function arguments. Empty values are represented with `BlankEval` or `MissingArgEval`, never `null`.
    `srcCellRow` - row index of the cell containing the formula under evaluation
    `srcCellCol` - column index of the cell containing the formula under evaluation
  Returns:
    The evaluated result, possibly an `ErrorEval`, never `null`. Note - Excel uses the error code #NUM! instead of IEEE NaN, so when numeric functions evaluate to `Double.NaN` be sure to translate the result to `ErrorEval.NUM_ERROR`.

### isSubtotalCounted

    public boolean isSubtotalCounted()

  Whether to count nested subtotals.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD